package de.intevation.flys.client.shared.model;


/**
 * The default implementation of an Output.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class DefaultOutputMode implements OutputMode {

    /** The name of this mode.*/
    protected String name;

    /** The description of this mode.*/
    protected String description;

    /** The mime-type of this mode.*/
    protected String mimeType;


    /** A convinience constructor.*/
    public DefaultOutputMode() {
    }


    /**
     * The default constructor.
     *
     * @param name The name of this mode.
     * @param description The description of this mode.
     * @param mimeType The mime-type of this mode.
     */
    public DefaultOutputMode(String name, String description, String mimeType) {
        this.name        = name;
        this.description = description;
        this.mimeType    = mimeType;
    }


    public String getName() {
        return name;
    }


    public String getDescription() {
        return description;
    }


    public String getMimeType() {
        return mimeType;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
